/* 
Theme Name: vgso.ch - Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: vgso.ch is a child theme of Hello Elementor, created by Elementor team
Author: webgearing AG
Author URI: https://www.webgearing.com
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* -- Utilities -- */

.offset {
	width:960px;
	margin:0 auto;
}

/* --- Header Sticky --- */

body .header-bar {
	width:100vw !important;
	background:var(--e-global-color-b97db1a);
	padding-top:15px;
	padding-bottom:15px;
	transition:all ease .5s;
	box-shadow:1px 1px 3px rgba(0,0,0,0.16);
}

body .header-bar .logo {
	height:100px;
	width:auto;
	margin:0;
	transition:all ease .5s;
}

body .header-bar .logo img {
	opacity:1;
	height:100px;
	width:auto;
	transition:all ease .5s;
}

body.sticky .header-bar {
	background:var(--e-global-color-b97db1a);
	border-bottom:var(--e-global-color-b97db1a) 1px solid;
	height:auto;
	transition:all ease .3s;
}

body.sticky .header-bar > .e-con-inner {
	padding-top:15px !important;
	padding-bottom:15px !important;
	transition:all ease .5s;
}

body.sticky .header-bar .logo {
	height:0px;
	width:auto;
	margin:0;
	transition:all ease .5s;
}

body.sticky .header-bar .logo img {
	opacity:1;
	height:0px;
	width:auto;
	transition:all ease .5s;
}

/* --- Header --- */

.top-header {
	background:var(--e-global-color-secondary) !important;
	padding:10px;
}

.top-header p {
	color:var(--e-global-color-b97db1a) !important;
}

/* Navigation */

.current-page-ancestor.current-menu-ancestor > a {
	color:var(--e-global-color-primary) !important;
}

.sub-menu li a:hover, .sub-menu li.current-menu-item a {
	border-left:2px solid var(--e-global-color-primary) !important;
}

.btn_kontakt {
	background:var(--e-global-color-primary);
	border-radius:30px;
	transition:all ease .3s;
}

.btn_kontakt a {
	color:var(--e-global-color-6bd75dc) !important;
}

.btn_kontakt:hover {
	background:var(--e-global-color-secondary) !important;
	transition:all ease .3s;
}

.elementor-nav-menu--main > .elementor-nav-menu > li > .elementor-nav-menu--dropdown {
	margin-top:15px !important;
}



/* Header */

.header-text h1, .header-text h2 {
	color:var(--e-global-color-b97db1a) !important;
	text-shadow:0px 0px 10px rgba(0,0,0,0.3);
}


/* Header Ken Burns */

.header-ken-burns h1, .header-ken-burns h2, .header-ken-burns h3, .header-ken-burns p {
	color:var(--e-global-color-145f6f1) !important;
}

.header-ken-burns h1 {
	color:var(--e-global-color-145f6f1);
	font-size:40px;
}

.header-ken-burns h2 {
	text-transform:uppercase;
	font-size:14px;
	color:var(--e-global-color-145f6f1);
}

.header-ken-burns .elementor-widget-heading h2:after {
	background-color:var(--e-global-color-145f6f1);
	margin-bottom:0px;
}

.header-ken-burns h3 {
	font-size:20px;
	line-height:28px;
}

.header-ken-burns p {
	font-size:20px;
	line-height:28px;

}

/* btn_weiterlesen */

.btn_weiterlesen .elementor-button {
	padding:10px 15px !important;
	position:relative;
	background-color:var(--e-global-color-accent) !important;
	left:0px;
	transition:all ease .3s;
	color:var(--e-global-color-b97db1a);
	border-radius:0px;
}

.btn_weiterlesen .elementor-button-text {
	line-height:20px !important;
	font-size:14px !important;
	color:var(--e-global-color-b97db1a) !important;
	font-weight:600 !important;
	text-align:left;
}

.btn_weiterlesen:hover .elementor-button {
	position:relative;
	background-color:var(--e-global-color-primary) !important;
	transition:all ease .3s;
}

/* btn_weiss */

.btn_weiterlesen.btn_weiss .elementor-button-text {
	color:var(--e-global-color-6bd75dc) !important;
}

/* btn_blau */

.btn_weiterlesen.btn_blau .elementor-button {
	background:var(--e-global-color-145f6f1) !important;
}

.btn_weiterlesen.btn_blau .elementor-button-icon {
	fill:var(--e-global-color-primary) !important;
}

.btn_weiterlesen.btn_blau:hover .elementor-button {
	background:var(--e-global-color-65c527f) !important;
}

/* btn_title */

.btn_weiterlesen.btn_title .elementor-button-text {
	padding:0px !important;
	line-height:26px !important;
	z-index:2;
	margin-left:45px !important;
	font-size:22px !important;
	color:var(--e-global-color-primary) !important;
	font-weight:600 !important;
	text-align:left;
}

.btn_weiterlesen.btn_title .elementor-button-icon {
	width:26px !important;
	height:26px !important;
}

/* .header-bar btn_weiterlesen */

.header-bar .btn_weiterlesen .elementor-button {
	padding:0px !important;
	position:relative;
	background-color:transparent !important;
	left:0px;
	transition:all ease .3s;
}

.header-bar .btn_weiterlesen .elementor-button-icon {
	position:absolute;
	top:0;
	left:0;
	z-index:1;
	background-color:var(--e-global-color-primary) !important;
	padding:10px 10px 10px 12px !important;
	border-radius:50% !important;
	width:40px !important;
	height:40px !important;
	transition:all ease .3s;
}

.header-bar .btn_weiterlesen .elementor-button-text {
	padding:0px !important;
	line-height:40px !important;
	z-index:2;
	margin-left:50px !important;
	font-size:16px !important;
	color:var(--e-global-color-text) !important;
	font-weight:600 !important;
	text-align:left;
}

.header-bar .btn_weiterlesen:hover .elementor-button {
	padding:0px !important;
	position:relative;
	background-color:transparent !important;
	left:10px;
	transition:all ease .3s;
}


/* Tablepress */

.tablepress {
	--head-active-bg-color:var(--e-global-color-primary) !important;
	--head-bg-color:var(--e-global-color-f17bbd4) !important;
	--text-color: var(--e-global-color-text);
	--head-text-color: #fff;
	--odd-text-color: var(--text-color);
	--odd-bg-color: #fff;
	--even-text-color: var(--text-color);
	--even-bg-color: #f9f9f9;
	--hover-text-color: var(--text-color);
	--hover-bg-color: #f3f3f3;
	--border-color: #ddd;
	--padding: 0.5rem;
} 

.tablepress > :where(thead, tfoot) > tr > * {
	font-weight: 500;
}

/* Typography */

.elementor-widget-text-editor ul {
	margin-bottom:15px;
}

.elementor-widget-heading h2 {
	color:var( --e-global-color-text ) !important;
	position: relative;
	display: inline-block;
}

.elementor-widget-heading h2:after {
	content: "";
  position: absolute;
  left: 100%;           /* startet nach dem Text */
  margin-left: 20px;    /* Abstand */
  width: 60px;          /* Länge des Strichs */
  height: 3px;          /* Dicke */
  background: var( --e-global-color-secondary );  /* dein Rot */
  
  bottom: 0.1em;        /* DAS ist der Trick */
}

/* Listen links bündig, aber ohne Rieseneinzug */
.elementor-widget-text-editor ul {
    margin-left: 0;
    padding-left: 20px; /* etwa 15px Abstand von Bullet zu Text, gut lesbar */
}

/* Listeneinträge normal blockig */
.elementor-widget-text-editor ul li {
    margin: 0 0 0.3em 0;
}

/* Bullet-Farbe in Primary-Blau setzen */
.elementor-widget-text-editor ul li::marker {
    color: var(--e-global-color-primary);
    font-size: 1em; /* gleiche Grösse wie Text */
}


/* Box Off-White */

.box-off-white {
	padding:30px;
	background:var(--e-global-color-65c527f);
	border-radius:30px;
	box-shadow:3px 3px 10px 0px rgba(0, 0, 0, 0.1);
}

/* Akkordeon */

.akkordeon details {
	border-radius:30px;
	box-shadow:3px 3px 10px 0px rgba(0, 0, 0, 0.1);
}

.akkordeon summary[aria-expanded="true"] {
	border-radius:30px 30px 0px 0px;
	transition:all ease .0s;
}

.akkordeon summary[aria-expanded="false"] {
	border-radius:30px 30px 30px 30px;
	transition:all ease 1.2s;
}

/* Klammern */

.klammer-oben-links {
	position:absolute;
	top:15px;
	left:15px;
}

.klammer-unten-rechts {
	position:absolute;
	bottom:15px;
	right:15px;
}

.klammer-oben-links img, .klammer-unten-rechts img {
	height:60px;
	width:auto;
	opacity:.3;
}

/* --- Footer --- */

.footer {
	background:var(--e-global-color-4c433b9) !important;
}

.footer p, .footer p a {
	color:var(--e-global-color-text) !important;
}

.footer h3 {
	color:#fff !important;
	font-size:20px;
	font-weight:500 !important;
}

/* btn_sticky */

.btn_sticky {
	position:fixed;
	right:-250px;
	top:50%;
	overflow:hidden;
	transition:all ease .3s;
}

.btn_sticky:hover {
	right:0px;
	transition:all ease .3s;
}

.btn_sticky .elementor-button {
	padding:0px !important;
	position:relative;
	background-color:transparent !important;
	left:0px;
	transition:all ease .3s;
}

.btn_sticky .elementor-button-icon svg {
	position:absolute;
	top:0;
	left:0;
	z-index:1;
	background-color:var(--e-global-color-secondary) !important;
	padding:5px !important;
	border-radius:0px !important;
	width:60px !important;
	height:60px !important;
	transition:all ease .3s;
}

.btn_sticky .elementor-button-text {
	padding:10px !important;
	line-height:40px !important;
	z-index:2;
	margin-left:60px !important;
	font-size:16px !important;
	background-color:var(--e-global-color-primary)  !important;
	color:var(--e-global-color-6bd75dc) !important;
	font-weight:600 !important;
	text-align:center;
	width:250px;
}

/* Teaser Box */

.teaser {
	background:var(--e-global-color-4c433b9) !important;
	padding:15px;
}

.teaser .datum p {
	margin-bottom:0px;
}

/* btn_weiterlesen */

.footer .btn_weiterlesen .elementor-button-icon {
	background-color:var(--e-global-color-6bd75dc) !important;
}

.footer .btn_weiterlesen .elementor-button-text {
	color:var(--e-global-color-6bd75dc) !important;
}

.footer .btn_weiterlesen:hover .elementor-button {
	padding:0px !important;
	position:relative;
	background-color:transparent !important;
	left:10px;
	transition:all ease .3s;
}

.footer .elementor-button {
	fill:var(--e-global-color-text) !important;
}

.cookie-notice-container span, .cn-buttons-container a {
	font-family: var( --e-global-typography-text-font-family ), Sans-serif !important;
}

#cookie-notice .cn-button:not(.cn-button-custom) {
	border-radius:30px;
}

#cn-notice-buttons button {
	background:var(--e-global-color-accent) !important;
}

#cn-notice-buttons button:hover {
	background:var(--e-global-color-primary) !important;
}

/* VARIANTE */

body.postid-471 .box-off-white {
	padding:30px;
	background:var(--e-global-color-65c527f);
	border-radius:0px;
	box-shadow:3px 3px 10px 0px rgba(0, 0, 0, 0.1);
	border-bottom:1px solid #ccc;
}

body.postid-471 .buchungsanfrage {
	background:var(--e-global-color-f17bbd4) !important;
}

body.postid-471 .header {
	border-bottom:1px solid #ededed;
	box-shadow:3px 3px 10px 0px rgba(0, 0, 0, 0.1);
}

body.postid-471 .header-bar {
	border-bottom:1px solid #ededed;
	box-shadow:3px 3px 10px 0px rgba(0, 0, 0, 0.1);
	z-index:2;
}

body.postid-471 .akkordeon details {
	border-radius:0px;
	box-shadow:3px 3px 10px 0px rgba(0, 0, 0, 0.1);
}

body.postid-471 .akkordeon summary[aria-expanded="true"] {
	border-radius:0px;
	transition:all ease .0s;
}

body.postid-471 .akkordeon summary[aria-expanded="false"] {
	border-radius:0px;
	transition:all ease 1.2s;
}

body.postid-471 .e-n-accordion-item {
	border-bottom:1px solid #ccc;
}